// Garden Gnome Software - Skin
// Pano2VR 4.0/3102
// Filename: skin.ggsk
// Generated Tue Jan 8 17:03:11 2013

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		return 'translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._mask_background=document.createElement('div');
		this._mask_background.ggId='mask_background';
		this._mask_background.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mask_background.ggVisible=true;
		this._mask_background.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-238 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-270 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -238px;';
		hs+='top:  -270px;';
		hs+='width: 407px;';
		hs+='height: 407px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 3px solid #0000ff;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		hs+='background-color: #ffffff;';
		this._mask_background.setAttribute('style',hs);
		this._mask=document.createElement('div');
		this._mask.ggId='mask';
		this._mask.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mask.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 3px;';
		hs+='top:  3px;';
		hs+='width: 400px;';
		hs+='height: 400px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='overflow: hidden;';
		this._mask.setAttribute('style',hs);
		this._container_x=document.createElement('div');
		this._container_x.ggId='container_X';
		this._container_x.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._container_x.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 1024px;';
		hs+='height: 1024px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._container_x.setAttribute('style',hs);
		this._container_y=document.createElement('div');
		this._container_y.ggId='container_Y';
		this._container_y.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._container_y.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 1024px;';
		hs+='height: 1024px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._container_y.setAttribute('style',hs);
		this._external_loader=document.createElement('div');
		this._external_loader.ggId='External_loader';
		this._external_loader.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._external_loader.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 1024px;';
		hs+='height: 1024px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._external_loader.setAttribute('style',hs);
		this._external_loader__img=document.createElement('img');
		this._external_loader__img.setAttribute('src',basePath + 'image.jpg');
		this._external_loader__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._external_loader__img);
		this._external_loader.appendChild(this._external_loader__img);
		this._container_y.appendChild(this._external_loader);
		this._container_x.appendChild(this._container_y);
		this._mask.appendChild(this._container_x);
		this._mask_background.appendChild(this._mask);
		this.divSkin.appendChild(this._mask_background);
		this._button_background=document.createElement('div');
		this._button_background.ggId='button_background';
		this._button_background.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_background.ggVisible=true;
		this._button_background.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-110 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(154 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -110px;';
		hs+='top:  154px;';
		hs+='width: 150px;';
		hs+='height: 118px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 3px solid #ff0000;';
		hs+='border-radius: 20px;';
		hs+=cssPrefix + 'border-radius: 20px;';
		hs+='background-color: #ffffff;';
		this._button_background.setAttribute('style',hs);
		this._move_x_left=document.createElement('div');
		this._move_x_left.ggId='move_x_left';
		this._move_x_left.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._move_x_left.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 11px;';
		hs+='top:  47px;';
		hs+='width: 43px;';
		hs+='height: 24px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		hs+='background-color: #0000ff;';
		this._move_x_left.setAttribute('style',hs);
		this._move_x_left.onmouseout=function () {
			me.elementMouseDown['move_x_left']=false;
		}
		this._move_x_left.onmousedown=function () {
			me.elementMouseDown['move_x_left']=true;
		}
		this._move_x_left.onmouseup=function () {
			me.elementMouseDown['move_x_left']=false;
		}
		this._move_x_left.ontouchend=function () {
			me.elementMouseDown['move_x_left']=false;
		}
		this._button_background.appendChild(this._move_x_left);
		this._move_x_right=document.createElement('div');
		this._move_x_right.ggId='move_x_right';
		this._move_x_right.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._move_x_right.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 93px;';
		hs+='top:  46px;';
		hs+='width: 43px;';
		hs+='height: 24px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		hs+='background-color: #0000ff;';
		this._move_x_right.setAttribute('style',hs);
		this._move_x_right.onmouseout=function () {
			me.elementMouseDown['move_x_right']=false;
		}
		this._move_x_right.onmousedown=function () {
			me.elementMouseDown['move_x_right']=true;
		}
		this._move_x_right.onmouseup=function () {
			me.elementMouseDown['move_x_right']=false;
		}
		this._move_x_right.ontouchend=function () {
			me.elementMouseDown['move_x_right']=false;
		}
		this._button_background.appendChild(this._move_x_right);
		this._move_y_up=document.createElement('div');
		this._move_y_up.ggId='move_y_up';
		this._move_y_up.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._move_y_up.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 63px;';
		hs+='top:  13px;';
		hs+='width: 24px;';
		hs+='height: 43px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		hs+='background-color: #0000ff;';
		this._move_y_up.setAttribute('style',hs);
		this._move_y_up.onmouseout=function () {
			me.elementMouseDown['move_y_up']=false;
		}
		this._move_y_up.onmousedown=function () {
			me.elementMouseDown['move_y_up']=true;
		}
		this._move_y_up.onmouseup=function () {
			me.elementMouseDown['move_y_up']=false;
		}
		this._move_y_up.ontouchend=function () {
			me.elementMouseDown['move_y_up']=false;
		}
		this._button_background.appendChild(this._move_y_up);
		this._move_y_down=document.createElement('div');
		this._move_y_down.ggId='move_y_down';
		this._move_y_down.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._move_y_down.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 62px;';
		hs+='top:  62px;';
		hs+='width: 24px;';
		hs+='height: 43px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		hs+='background-color: #0000ff;';
		this._move_y_down.setAttribute('style',hs);
		this._move_y_down.onmouseout=function () {
			me.elementMouseDown['move_y_down']=false;
		}
		this._move_y_down.onmousedown=function () {
			me.elementMouseDown['move_y_down']=true;
		}
		this._move_y_down.onmouseup=function () {
			me.elementMouseDown['move_y_down']=false;
		}
		this._move_y_down.ontouchend=function () {
			me.elementMouseDown['move_y_down']=false;
		}
		this._button_background.appendChild(this._move_y_down);
		this._top_right=document.createElement('div');
		this._top_right.ggId='top_right';
		this._top_right.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._top_right.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 96px;';
		hs+='top:  11px;';
		hs+='width: 29px;';
		hs+='height: 29px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		hs+='background-color: #00ff00;';
		this._top_right.setAttribute('style',hs);
		this._top_right.onmouseout=function () {
			me.elementMouseDown['top_right']=false;
		}
		this._top_right.onmousedown=function () {
			me.elementMouseDown['top_right']=true;
		}
		this._top_right.onmouseup=function () {
			me.elementMouseDown['top_right']=false;
		}
		this._top_right.ontouchend=function () {
			me.elementMouseDown['top_right']=false;
		}
		this._button_background.appendChild(this._top_right);
		this._top_left=document.createElement('div');
		this._top_left.ggId='top_left';
		this._top_left.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._top_left.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 24px;';
		hs+='top:  11px;';
		hs+='width: 29px;';
		hs+='height: 29px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		hs+='background-color: #00ff00;';
		this._top_left.setAttribute('style',hs);
		this._top_left.onmouseout=function () {
			me.elementMouseDown['top_left']=false;
		}
		this._top_left.onmousedown=function () {
			me.elementMouseDown['top_left']=true;
		}
		this._top_left.onmouseup=function () {
			me.elementMouseDown['top_left']=false;
		}
		this._top_left.ontouchend=function () {
			me.elementMouseDown['top_left']=false;
		}
		this._button_background.appendChild(this._top_left);
		this._bottom_right=document.createElement('div');
		this._bottom_right.ggId='bottom_right';
		this._bottom_right.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._bottom_right.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 96px;';
		hs+='top:  77px;';
		hs+='width: 29px;';
		hs+='height: 29px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		hs+='background-color: #00ff00;';
		this._bottom_right.setAttribute('style',hs);
		this._bottom_right.onmouseout=function () {
			me.elementMouseDown['bottom_right']=false;
		}
		this._bottom_right.onmousedown=function () {
			me.elementMouseDown['bottom_right']=true;
		}
		this._bottom_right.onmouseup=function () {
			me.elementMouseDown['bottom_right']=false;
		}
		this._bottom_right.ontouchend=function () {
			me.elementMouseDown['bottom_right']=false;
		}
		this._button_background.appendChild(this._bottom_right);
		this._bottom_left=document.createElement('div');
		this._bottom_left.ggId='bottom_left';
		this._bottom_left.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._bottom_left.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 24px;';
		hs+='top:  77px;';
		hs+='width: 29px;';
		hs+='height: 29px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		hs+='background-color: #00ff00;';
		this._bottom_left.setAttribute('style',hs);
		this._bottom_left.onmouseout=function () {
			me.elementMouseDown['bottom_left']=false;
		}
		this._bottom_left.onmousedown=function () {
			me.elementMouseDown['bottom_left']=true;
		}
		this._bottom_left.onmouseup=function () {
			me.elementMouseDown['bottom_left']=false;
		}
		this._bottom_left.ontouchend=function () {
			me.elementMouseDown['bottom_left']=false;
		}
		this._button_background.appendChild(this._bottom_left);
		this.divSkin.appendChild(this._button_background);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if (nodeMarker[i].ggMarkerNodeId==id) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		if (me.elementMouseDown['move_x_left']) {
			if (me.player.transitionsDisabled) {
				me._container_x.style[domTransition]='none';
			} else {
				me._container_x.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._container_x.ggParameter.rx+=4;me._container_x.ggParameter.ry+=0;
			if (me._container_x.ggParameter.rx>0) me._container_x.ggParameter.rx=0;
			me._container_x.style[domTransform]=parameterToTransform(me._container_x.ggParameter);
		}
		if (me.elementMouseDown['move_x_right']) {
			if (me.player.transitionsDisabled) {
				me._container_x.style[domTransition]='none';
			} else {
				me._container_x.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._container_x.ggParameter.rx+=-4;me._container_x.ggParameter.ry+=0;
			if (me._container_x.ggParameter.rx<-627) me._container_x.ggParameter.rx=-627;
			me._container_x.style[domTransform]=parameterToTransform(me._container_x.ggParameter);
		}
		if (me.elementMouseDown['move_y_up']) {
			if (me.player.transitionsDisabled) {
				me._container_y.style[domTransition]='none';
			} else {
				me._container_y.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._container_y.ggParameter.rx+=0;me._container_y.ggParameter.ry+=4;
			if (me._container_y.ggParameter.ry>0) me._container_y.ggParameter.ry=0;
			me._container_y.style[domTransform]=parameterToTransform(me._container_y.ggParameter);
		}
		if (me.elementMouseDown['move_y_down']) {
			if (me.player.transitionsDisabled) {
				me._container_y.style[domTransition]='none';
			} else {
				me._container_y.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._container_y.ggParameter.rx+=0;me._container_y.ggParameter.ry+=-4;
			if (me._container_y.ggParameter.ry<-627) me._container_y.ggParameter.ry=-627;
			me._container_y.style[domTransform]=parameterToTransform(me._container_y.ggParameter);
		}
		if (me.elementMouseDown['top_right']) {
			if (me.player.transitionsDisabled) {
				me._container_x.style[domTransition]='none';
			} else {
				me._container_x.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._container_x.ggParameter.rx+=-4;me._container_x.ggParameter.ry+=0;
			if (me._container_x.ggParameter.rx<-627) me._container_x.ggParameter.rx=-627;
			me._container_x.style[domTransform]=parameterToTransform(me._container_x.ggParameter);
			if (me.player.transitionsDisabled) {
				me._container_y.style[domTransition]='none';
			} else {
				me._container_y.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._container_y.ggParameter.rx+=0;me._container_y.ggParameter.ry+=4;
			if (me._container_y.ggParameter.ry>0) me._container_y.ggParameter.ry=0;
			me._container_y.style[domTransform]=parameterToTransform(me._container_y.ggParameter);
		}
		if (me.elementMouseDown['top_left']) {
			if (me.player.transitionsDisabled) {
				me._container_x.style[domTransition]='none';
			} else {
				me._container_x.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._container_x.ggParameter.rx+=4;me._container_x.ggParameter.ry+=0;
			if (me._container_x.ggParameter.rx>0) me._container_x.ggParameter.rx=0;
			me._container_x.style[domTransform]=parameterToTransform(me._container_x.ggParameter);
			if (me.player.transitionsDisabled) {
				me._container_y.style[domTransition]='none';
			} else {
				me._container_y.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._container_y.ggParameter.rx+=0;me._container_y.ggParameter.ry+=4;
			if (me._container_y.ggParameter.ry>0) me._container_y.ggParameter.ry=0;
			me._container_y.style[domTransform]=parameterToTransform(me._container_y.ggParameter);
		}
		if (me.elementMouseDown['bottom_right']) {
			if (me.player.transitionsDisabled) {
				me._container_x.style[domTransition]='none';
			} else {
				me._container_x.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._container_x.ggParameter.rx+=-4;me._container_x.ggParameter.ry+=0;
			if (me._container_x.ggParameter.rx<-627) me._container_x.ggParameter.rx=-627;
			me._container_x.style[domTransform]=parameterToTransform(me._container_x.ggParameter);
			if (me.player.transitionsDisabled) {
				me._container_y.style[domTransition]='none';
			} else {
				me._container_y.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._container_y.ggParameter.rx+=0;me._container_y.ggParameter.ry+=-4;
			if (me._container_y.ggParameter.ry<-627) me._container_y.ggParameter.ry=-627;
			me._container_y.style[domTransform]=parameterToTransform(me._container_y.ggParameter);
		}
		if (me.elementMouseDown['bottom_left']) {
			if (me.player.transitionsDisabled) {
				me._container_x.style[domTransition]='none';
			} else {
				me._container_x.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._container_x.ggParameter.rx+=4;me._container_x.ggParameter.ry+=0;
			if (me._container_x.ggParameter.rx>0) me._container_x.ggParameter.rx=0;
			me._container_x.style[domTransform]=parameterToTransform(me._container_x.ggParameter);
			if (me.player.transitionsDisabled) {
				me._container_y.style[domTransition]='none';
			} else {
				me._container_y.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._container_y.ggParameter.rx+=0;me._container_y.ggParameter.ry+=-4;
			if (me._container_y.ggParameter.ry<-627) me._container_y.ggParameter.ry=-627;
			me._container_y.style[domTransform]=parameterToTransform(me._container_y.ggParameter);
		}
	};
	this.addSkin();
};